ScanopyScanopy
Topologies

Get topology by ID

GET
/api/v1/topologies/{id}

Authorization

Authorization<token>

User API key (Bearer scp_u_...). Create in Platform > API Keys.

In: header

Path Parameters

id*string

Topology ID

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/topologies/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "meta": {
    "api_version": 1,
    "server_version": "0.19.6"
  },
  "success": true,
  "data": {
    "options": {
      "local": {
        "bundle_edges": true,
        "hide_edge_types": {
          "Application": [
            "ContainerRuntime"
          ],
          "L2Physical": [
            "SameHost"
          ],
          "L3Logical": [
            "Hypervisor",
            "SameContainer"
          ],
          "Workloads": [
            "RequestPath",
            "HubAndSpoke",
            "PhysicalLink",
            "NeighborLink"
          ]
        },
        "no_fade_edges": false,
        "show_minimap": true,
        "tag_filter": {}
      },
      "request": {
        "container_rules": {
          "Application": [
            {
              "id": "261d0db8-9efb-4230-b1e6-2a50322b0277",
              "rule": {
                "ByApplication": {
                  "tag_ids": []
                }
              }
            }
          ],
          "L2Physical": [
            {
              "id": "b7b01e79-0303-4cec-861d-5c546a7dfe03",
              "rule": "ByHost"
            }
          ],
          "L3Logical": [
            {
              "id": "9d0c2a8b-a7b8-45d8-9ecf-36cdf9f19e1a",
              "rule": "BySubnet"
            },
            {
              "id": "328d6faa-b270-423a-af53-e5cf7b7f9b4d",
              "rule": "MergeContainerBridges"
            }
          ],
          "Workloads": [
            {
              "id": "b7b01e79-0303-4cec-861d-5c546a7dfe03",
              "rule": "ByHost"
            }
          ]
        },
        "element_rules": [
          {
            "id": "3742a35d-a36b-466c-b57f-8b4cfe467c7b",
            "rule": "ByTrunkPort"
          },
          {
            "id": "ae43859b-1fbe-44ef-a333-f4ecfa84930c",
            "rule": "ByVLAN"
          },
          {
            "id": "5c3cf11c-d132-46a8-a149-c8435f8cccbe",
            "rule": "ByPortOpStatus"
          },
          {
            "id": "156bf1bd-8614-4494-bd57-33afeade2b6d",
            "rule": {
              "ByServiceCategory": {
                "categories": [
                  "NetworkCore",
                  "NetworkAccess",
                  "NetworkAppliance",
                  "RemoteAccess",
                  "Workstation",
                  "Mobile",
                  "IoT",
                  "Printer",
                  "OpenPorts",
                  "NetworkIdentities"
                ],
                "is_infra_rule": true,
                "title": "Infrastructure"
              }
            }
          },
          {
            "id": "11320747-c3ba-4b87-8587-41d24a3fe81e",
            "rule": {
              "ByTag": {
                "tag_ids": [],
                "title": null
              }
            }
          },
          {
            "id": "c961dc14-234e-4cdd-910a-b3bc526b8ccb",
            "rule": "ByDeviceType"
          },
          {
            "id": "123fd545-efd1-4a51-87df-562060a41438",
            "rule": "ByHypervisor"
          },
          {
            "id": "bb199106-2ef5-47c3-b46e-ae7f8e1bc62b",
            "rule": "ByContainerRuntime"
          },
          {
            "id": "f65f7e67-85ea-4e41-bc38-344b1971bf03",
            "rule": "ByStack"
          }
        ],
        "element_sort": {},
        "hide_entities": {},
        "hide_metadata_values": {
          "Application": {
            "Service": {
              "Category": [
                "OpenPorts"
              ]
            }
          },
          "L2Physical": {
            "Interface": {
              "LinkState": [
                "Unlinked"
              ]
            },
            "Service": {
              "Category": [
                "OpenPorts"
              ]
            }
          },
          "L3Logical": {
            "Service": {
              "Category": [
                "OpenPorts"
              ]
            }
          },
          "Workloads": {
            "Service": {
              "Category": [
                "OpenPorts"
              ]
            }
          }
        }
      }
    },
    "site_id": "72771e6a-6f5e-4de4-a5b9-1266c4197811",
    "created_at": "2019-08-24T14:15:22Z",
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "updated_at": "2019-08-24T14:15:22Z"
  },
  "error": "string"
}
{
  "meta": {
    "api_version": 1,
    "server_version": "0.19.6"
  },
  "success": true,
  "code": "string",
  "error": "string",
  "params": {
    "property1": null,
    "property2": null
  }
}

Product names and logos are trademarks of their respective owners. See credits.